## pysmartapp 0.3.5

=== requirements.txt ===
httpsig==1.3.0

=== debian/changelog ===
pysmartapp (0.3.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 10 Sep 2024 04:30:52 +0100

pysmartapp (0.3.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1080095)

 -- Edward Betts <edward@4angle.com>  Fri, 30 Aug 2024 15:30:03 +0100

=== debian/control ===
Source: pysmartapp
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-httpsig <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/andrewsayre/pysmartapp
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysmartapp
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysmartapp.git

Package: python3-pysmartapp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for creating SmartThings SmartApps with asyncio
 This library enables users to build SmartThings SmartApps that utilize asyncio
 for event-driven programming. It provides tools to receive and handle SmartApp
 lifecycle events via webhooks, making it straightforward to integrate
 SmartThings compatible devices into various systems. The library communicates
 with the SmartThings Cloud API to manage devices such as lights, locks,
 thermostats, and sensors. Users can register callbacks for specific lifecycle
 events to control and monitor their SmartThings ecosystem.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pysmartapp
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pysmartapp.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 python3-pkg-resources,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pysmartapp-$1\.tar\.gz/ \
  https://github.com/andrewsayre/pysmartapp/tags .*/v?(\d\S+)\.tar\.gz
